#if !defined(RT_MISC_H)
#define RT_MISC_H
// misc.h
//
// Description:
//  Provides some miscellaneous helper items.
//
// Provides:
//  NUM_OF(array)   Returns number of items in the fixed-size array.
//
//  Error code facility enumerants.
//
// Copyright (C) 2000-2001, Rich Thomson, all rights reserved.
//

#define NUM_OF(array_) (sizeof(array_)/sizeof(array_[0]))

namespace rt {
    // facility name enumerants
    enum {
        FACILITY_DIRECT3D = 0x876,
        FACILITY_DIRECT3D_UTIL = 0x877
    };
};

#endif
